UniversalMembershipListenerAdapter.AdaptedMembershipEvent (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.membership, class: UniversalMembershipListenerAdapter, class: AdaptedMembershipEvent

Package org.apache.geode.management.membership

# Class UniversalMembershipListenerAdapter.AdaptedMembershipEvent

java.lang.Object
org.apache.geode.management.membership.UniversalMembershipListenerAdapter.AdaptedMembershipEvent

All Implemented Interfaces:
  `MembershipEvent`

Enclosing class:
  UniversalMembershipListenerAdapter

public static class UniversalMembershipListenerAdapter.AdaptedMembershipEvent extends Object implements MembershipEvent
Adapts ClientMembershipEvent to look like a MembershipEvent

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AdaptedMembershipEvent(ClientMembershipEvent event)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `DistributedMember`
  `getDistributedMember()`
  Returns the `DistributedMember` that this event originated in.
  `String`
  `getMemberId()`
  Returns the distributed member as a String.
  `int`
  `hashCode()`
  `boolean`
  `isClient()`
  Returns true if the member is a client to a CacheServer hosted by this process.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AdaptedMembershipEvent

    protected AdaptedMembershipEvent(ClientMembershipEvent event)

- ## Method Details

  - ### isClient

    public boolean isClient()
    Returns true if the member is a client to a CacheServer hosted by this process. Returns false if the member is a CacheServer that this process is connected to.
    Returns:
      whether the member is a client to a CacheServer hosted by this process

  - ### getMemberId

    public String getMemberId()
    Description copied from interface: `MembershipEvent`
    Returns the distributed member as a String.
    Specified by:
      `getMemberId` in interface `MembershipEvent`
    Returns:
      the distributed member as a String

  - ### getDistributedMember

    public DistributedMember getDistributedMember()
    Description copied from interface: `MembershipEvent`
    Returns the `DistributedMember` that this event originated in.
    Specified by:
      `getDistributedMember` in interface `MembershipEvent`
    Returns:
      the member that performed the operation that originated this event.

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`